View Issue Details

IDProjectCategoryView StatusLast Update
0020069mantisbtcode cleanuppublic2019-03-16 20:20
Reportercproensa Assigned Toatrol  
PrioritylowSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Target Version2.20.0Fixed in Version2.20.0 
Summary0020069: default_email_on_status, misleading comments in config_defaults
Description

These two variables, in "config_defaults.inc" have a comment which reads "Unused"
They are indeed used for user prefs, email notifications

/**

  • @todo Unused
  • @global integer $g_default_email_on_status
    */
    $g_default_email_on_status = 0;

/**

  • @todo Unused
  • @global integer $g_default_email_on_priority
    */
    $g_default_email_on_priority = 0;
TagsNo tags attached.

Relationships

has duplicate 0011922 closeddregad Two "@todo" comments in the default config 

Activities

atrol

atrol

2015-09-02 02:16

developer   ~0051347

Last edited: 2015-09-02 02:17

View 2 revisions

@todo comments mean that there is something in code that has not been finished yet.

You will also find a note in administrators guide that the option is not yet implemented.

I don't see any place in code where the settings are used for something that can be seen by a user.

Do you agree that I can close this issue?

cproensa

cproensa

2015-09-02 03:19

developer   ~0051348

Hello atrol
Those variables are used in "user_pref_api.php"

class UserPreferences {
-> private static $_default_mapping
... 'email_on_status' => array( 'default_email_on_status', 'int' ),

which is later user in a config_get().

They set the status for options in user preferencies:
E-mail on Status Change
E-mail on Priority Change

atrol

atrol

2015-09-02 05:13

developer   ~0051353

You are right,
I noticed the variables in UserPreferences, but didn't notice that they are used by configget without the starting default

Seems we should change the source code comment and the administrators guide.

atrol

atrol

2019-02-01 02:40

developer   ~0061356

Fis is part of PR https://github.com/mantisbt/mantisbt/pull/1454

Related Changesets

MantisBT: master f980b902

2019-01-25 05:09:38

atrol

Details Diff
Correct documentation of email preferences

Fixes 0020069
Affected Issues
0020069
mod - config_defaults_inc.php Diff File
mod - docbook/Admin_Guide/en-US/config/defaults.xml Diff File

MantisBT: master 7d5c990b

2019-02-02 15:36:58

atrol

Details Diff
Minor doc corrections

Address PR comments

Issue #0020069
Affected Issues
0020069
mod - docbook/Admin_Guide/en-US/User_Management.xml Diff File
mod - docbook/Admin_Guide/en-US/config/defaults.xml Diff File

Issue History

Date Modified Username Field Change
2015-09-01 19:05 cproensa New Issue
2015-09-02 02:16 atrol Status new => feedback
2015-09-02 02:16 atrol Note Added: 0051347
2015-09-02 02:17 atrol Note Edited: 0051347 View Revisions
2015-09-02 03:19 cproensa Note Added: 0051348
2015-09-02 03:19 cproensa Status feedback => new
2015-09-02 05:13 atrol Note Added: 0051353
2015-09-02 05:14 atrol Status new => confirmed
2015-09-30 02:57 dregad Relationship added has duplicate 0011922
2019-02-01 02:40 atrol Note Added: 0061356
2019-02-01 02:41 atrol Assigned To => atrol
2019-02-01 02:41 atrol Status confirmed => assigned
2019-02-01 02:41 atrol Target Version => 2.20.0
2019-02-02 15:51 atrol Changeset attached => MantisBT master f980b902
2019-02-02 15:51 atrol Status assigned => resolved
2019-02-02 15:51 atrol Resolution open => fixed
2019-02-02 15:51 atrol Fixed in Version => 2.20.0
2019-02-04 04:37 dregad Changeset attached => MantisBT master 7d5c990b
2019-03-16 20:20 vboctor Status resolved => closed